Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 816984 - yppasswdd doesn't handle crypt() returning NULL
Summary: yppasswdd doesn't handle crypt() returning NULL
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ypserv
Version: 5.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Honza Horak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-27 11:50 UTC by Honza Horak
Modified: 2013-03-13 17:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-13 17:42:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch hanlding crypt() returning NULL (955 bytes, patch)
2012-04-27 11:52 UTC, Honza Horak
no flags Details | Diff

Description Honza Horak 2012-04-27 11:50:00 UTC
Description of problem:
yppasswdd doesn't handle crypt() returning NULL, which is possible in fips mode
and other corner conditions. It blindly tries to strcmp the returned
values of crypt()

--- Additional comment via e-mail from sgrubb@redhat.com on 2012-04-23 23:19:48
EDT ---

The Single Unix Spec documents crypt() as being able to return NULL under
certain conditions that are not related to FIPS. So, all software needs to
handle this possibility. But there have been some recent changes in glibc that
make it more likely that you will hit this. Especially if the user can control
the input. I'd update everywhere that you can get a QE slot. RHEL5 FIPS support
is supposed to be good. But I don't know if the glibc developers also updated
it in a way that makes this more likely now.

Version-Release number of selected component (if applicable):
ypserv-2.19-9.el5_8.1

Additional info:
Similar bug is in yp-tools: bug#816203

Comment 1 Honza Horak 2012-04-27 11:52:29 UTC
Created attachment 580742 [details]
patch hanlding crypt() returning NULL

Comment 2 RHEL Program Management 2012-06-12 01:15:15 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 3 Honza Horak 2013-03-13 17:42:10 UTC
There is no chance to fix this in RHEL-5 any more, since RHEL 5.10 is going to include only serious fixes.


Note You need to log in before you can comment on or make changes to this bug.